Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.utility.naming
Class Environment

    java.lang.Object
      |
      +--com.novell.utility.naming.Environment

public abstract class Environment
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

Provides constants for environment variables associated with Novell JNDI providers.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `AUTHORITATIVE` Environment variable name for JNDI authoritative setting.
`static java.lang.String` | `BATCHSIZE` Environment variable name for JNDI batch size setting.
`static java.lang.String` | `DNS_URL` Environment variable name for JNDI DNS URL.
`static java.lang.String` | `FS_INITIAL_CONTEXT_FACTORY` The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the FileSystem name space.
`static java.lang.String` | `IIOP_PROTOCOL`
`static java.lang.String` | `INITIAL_CONTEXT_FACTORY` Environment variable name for JNDI initial context factory.
`static java.lang.String` | `LANGUAGE` Environment variable name for JNDI language setting.
`static java.lang.String` | `LDAP_PROTOCOL`
`static java.lang.String` | `NCP_PROTOCOL`
`static java.lang.String` | `NDS_INITIAL_CONTEXT_FACTORY` The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the NDS name space.
`static java.lang.String` | `NW_INITIAL_CONTEXT_FACTORY` The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the NetWare name space.
`static java.lang.String` | `OBJECT_FACTORIES` Environment variable name for JNDI object factory.
`static java.lang.String` | `PROVIDER_URL` Environment variable name for JNDI provider URL.
`static java.lang.String` | `QMS_INITIAL_CONTEXT_FACTORY` The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the Queue Management (QMS) name space.
`static java.lang.String` | `REFERRAL` Environment variable name for JNDI referral setting.
`static java.lang.String` | `RMI_PROTOCOL`
`static java.lang.String` | `SECURITY_AUTHENTICATION` Environment variable name for JNDI security authentication setting.
`static java.lang.String` | `SECURITY_CREDENTIALS` Environment variable name for JNDI security credentials setting.
`static java.lang.String` | `SECURITY_PRINCIPAL` Environment variable name for JNDI security principal setting.
`static java.lang.String` | `SECURITY_PROTOCOL` Environment variable name for JNDI security protocol setting.
`static java.lang.String` | `SERVER_INITIAL_CONTEXT_FACTORY` The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the Server name space.
`static java.lang.String` | `SESSION_MANAGER_OBJECT` The environment variable name for the NetWare session manager.
`static java.lang.String` | `SESSION_OBJECT` The environment variable name for the NetWare session.
`static java.lang.String` | `TRANSPORT_PROTOCOL`
`static java.lang.String` | `URL_PKG_PREFIXES` Environment variable name for JNDI URL package prefixes.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_CONTEXT_FACTORY

    public static final java.lang.String INITIAL_CONTEXT_FACTORY

  Environment variable name for JNDI initial context factory.

  Class name of initial context factory to use.

  (INITIAL_CONTEXT_FACTORY = Context.INITIAL_CONTEXT_FACTORY)

### OBJECT_FACTORIES

    public static final java.lang.String OBJECT_FACTORIES

  Environment variable name for JNDI object factory.

  Colon-separated list of class names of object factory classes to use.

  (OBJECT_FACTORIES = Context.OBJECT_FACTORIES)

### URL_PKG_PREFIXES

    public static final java.lang.String URL_PKG_PREFIXES

  Environment variable name for JNDI URL package prefixes.

  Colon-separated list of package prefixes to use when loading in URL context factories.

  (URL_PKG_PREFIXES = Context.URL_PKG_PREFIXES)

### PROVIDER_URL

    public static final java.lang.String PROVIDER_URL

  Environment variable name for JNDI provider URL.

  Specifies configuration information for provider to use.

  (PROVIDER_URL = Context.PROVIDER_URL)

### DNS_URL

    public static final java.lang.String DNS_URL

  Environment variable name for JNDI DNS URL.

  Specifies the DNS host and domain names to use for the JNDI URL context.

  (DNS_URL = Context.DNS_URL)

### AUTHORITATIVE

    public static final java.lang.String AUTHORITATIVE

  Environment variable name for JNDI authoritative setting.

  Specifies the authoritativeness of the service requested. If "true", specifies most authoritative source is to be used (e.g. bypass any caches, or bypass replicas in some systems). Otherwise, source need not be (but can be) authoritative. When unspecified, defaults to false.

  (AUTHORITATIVE = Context.AUTHORITATIVE)

### BATCHSIZE

    public static final java.lang.String BATCHSIZE

  Environment variable name for JNDI batch size setting.

  Specifies the preferred batch size to use when returning data via the service's protocol. This is a hint to the provider to return the results of operations in batches of the specified size, so that the provider can optimize its performance and usage of resources. When unspecified, it is determined by provider.

  (BATCHSIZE = Context.BATCHSIZE)

### REFERRAL

    public static final java.lang.String REFERRAL

  Environment variable name for JNDI referral setting.

  Specifies that referrals encountered by the service provider are to be followed automatically. If "follow", follow referrals automatically. If "ignore", ignore referrals encountered. If "throw", throw ReferralException when a referral is encountered. When unspecified, determined by provider.

  (REFERRAL = Context.REFERRAL)

### SECURITY_PROTOCOL

    public static final java.lang.String SECURITY_PROTOCOL

  Environment variable name for JNDI security protocol setting.

  Security protocol to use for service. When unspecified, determined by provider.

  (SECURITY_PROTOCOL = Context.SECURITY_PROTOCOL)

### SECURITY_AUTHENTICATION

    public static final java.lang.String SECURITY_AUTHENTICATION

  Environment variable name for JNDI security authentication setting.

  Takes values "none", "simple", "strong", or a provider specific string (e.g. "CRAM_MD5"). When unspecified, determined by provider.

  (SECURITY_AUTHENTICATION = Context.SECURITY_AUTHENTICATION)

### SECURITY_PRINCIPAL

    public static final java.lang.String SECURITY_PRINCIPAL

  Environment variable name for JNDI security principal setting.

  Identity of principal (e.g. user) for the authentication scheme. When unspecified, defaults to the identity (specific to the authentication scheme selected) or user running the application.

  (SECURITY_PRINCIPAL = Context.SECURITY_PRINCIPAL)

### SECURITY_CREDENTIALS

    public static final java.lang.String SECURITY_CREDENTIALS

  Environment variable name for JNDI security credentials setting.

  Principal's credentials for the authentication scheme. When unspecified, obtained by the provider on behalf of the user, using the security infrastructure available to the provider. Examples of different types of credentials are passwords, keys, and certificates. The particular type of credentials is determined by the authentication scheme chosen.

  (SECURITY_PROTOCOL = Context.SECURITY_PROTOCOL)

### LANGUAGE

    public static final java.lang.String LANGUAGE

  Environment variable name for JNDI language setting.

  Specifies a colon-separated list of preferred languages to use with this service (e.g. "en-US", "fr", "fr-CH", "ja-JP-kanji"). Languages are specified using tags defined in RFC 1766. When unspecified, the language preference - if any - is determined by the provider.

  (LANGUAGE = Context.LANGUAGE)

### SESSION_OBJECT

    public static final java.lang.String SESSION_OBJECT

  The environment variable name for the NetWare session.

  Any context that is communicating with a NetWare server will have a session object. This session object can be obtained and used for the purpose of authentication, or session management operations.

  (SESSION_OBJECT = "com.novell.service.naming.session")

  See Also:

### SESSION_MANAGER_OBJECT

    public static final java.lang.String SESSION_MANAGER_OBJECT

  The environment variable name for the NetWare session manager.

  Each session belongs to a given session manager. In the event that multiple (private) session managers are in use, this variable can be used to manipulate the scope of the sessions to be used by this context and any of its subordinates.

  (SESSION_MANAGER_OBJECT = "com.novell.service.naming.session.manager")

  See Also:

### NCP_PROTOCOL

    public static final java.lang.String NCP_PROTOCOL

### LDAP_PROTOCOL

    public static final java.lang.String LDAP_PROTOCOL

### RMI_PROTOCOL

    public static final java.lang.String RMI_PROTOCOL

### IIOP_PROTOCOL

    public static final java.lang.String IIOP_PROTOCOL

### TRANSPORT_PROTOCOL

    public static final java.lang.String TRANSPORT_PROTOCOL

### FS_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String FS_INITIAL_CONTEXT_FACTORY

  The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the FileSystem name space.

  (FS_INITIAL_CONTEXT_FACTORY = "com.novell.service.file.nw.naming.FileSystemInitialContextFactory")

### NW_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String NW_INITIAL_CONTEXT_FACTORY

  The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the NetWare name space.

  (FS_INITIAL_CONTEXT_FACTORY = "com.novell.service.nw.NetWareInitialContextFactory")

### SERVER_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String SERVER_INITIAL_CONTEXT_FACTORY

  The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the Server name space.

  (SERVER_INITIAL_CONTEXT_FACTORY = "com.novell.service.server.ServerInitialContextFactory")

### NDS_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String NDS_INITIAL_CONTEXT_FACTORY

  The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the NDS name space.

  (NDS_INITIAL_CONTEXT_FACTORY = "com.novell.service.nds.naming.NdsInitialContextFactory")

### QMS_INITIAL_CONTEXT_FACTORY

    public static final java.lang.String QMS_INITIAL_CONTEXT_FACTORY

  The environment value associated with the INITIAL_CONTEXT_FACTORY key to be used for the Queue Management (QMS) name space.

  (QMS_INITIAL_CONTEXT_FACTORY = "com.novell.service.qms.naming.QueueInitialContextFactory")

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD